Recalculate Job Due Date
curl --request POST \
--url http://{host}:{port}/{contextPath}/job/{id}/duedate/recalculate \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/job/{id}/duedate/recalculate"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/job/{id}/duedate/recalculate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Job
重新计算作业截止日期
Recalculates the due date of a job by id.
POST
/
job
/
{id}
/
duedate
/
recalculate
Recalculate Job Due Date
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the job to be updated.
Query Parameters
Recalculate the due date based on the creation date of the job or the current date.
Value may only be false, as true is the default behavior.
Response
Request successful. This method returns no content.
⌘I